com.pixelmed.network

## Class ProbeCapability.AETGenerator

- java.lang.Object
- - com.pixelmed.network.ProbeCapability.AETGenerator

- Enclosing class:
    ProbeCapability

      protected class ProbeCapability.AETGenerator
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `hostname`
    `protected int` | `port`
    `protected ProbeCapability.StringPermutationGenerator` | `upperCaseNumericUnderscorePermutationGenerator`
    `protected boolean` | `usedAllUpperCaseNumericUnderscore`
    `protected boolean` | `usedHostnameAsAllUpperCase`
    `protected boolean` | `usedHostnameAsSupplied`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AETGenerator(java.lang.String hostname, int port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `next()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### usedHostnameAsSupplied

          protected boolean usedHostnameAsSupplied

    - #### usedHostnameAsAllUpperCase

          protected boolean usedHostnameAsAllUpperCase

    - #### usedAllUpperCaseNumericUnderscore

          protected boolean usedAllUpperCaseNumericUnderscore

    - #### upperCaseNumericUnderscorePermutationGenerator

          protected ProbeCapability.StringPermutationGenerator upperCaseNumericUnderscorePermutationGenerator

    - #### hostname

          protected final java.lang.String hostname

    - #### port

          protected final int port

  - ### Constructor Detail

    - #### AETGenerator

          public AETGenerator(java.lang.String hostname,
                              int port)

  - ### Method Detail

    - #### next

          public java.lang.String next()